VPS侦探论坛

 找回密码
 注册
查看: 421|回复: 6

升级PHP7.13.16 或者PHP7.4以上都报错

[复制链接]
发表于 2020-3-26 07:48:54 | 显示全部楼层 |阅读模式



                                                                                                                                                                                                                                                                     
你好,不知道为什么PHP从7.13.15 升级7.13.16 或者PHP7.4.4版本都报错,                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
+-------------------------------------------+                                                                                                                                                                                                                        
|    Manager for LNMP, Written by Licess    |                                                                                                                                                                                                                        
+-------------------------------------------+                                                                                                                                                                                                                        
|              https://lnmp.org             |                                                                                                                                                                                                                        
+-------------------------------------------+                                                                                                                                                                                                                        
Starting LNMP...                                                                                                                                                                                                                                                     
Starting nginx...  done                                                                                                                                                                                                                                             
Starting mysql (via systemctl): mysql.service.                                                                                                                                                                                                                       
/bin/lnmp: line 27: /etc/init.d/php-fpm: No such file or directory                                                                                                                                                                                                   
======== upgrade php failed ======                                                                                                                                                                                                                                   
upgrade php log: /root/upgrade_lnmp_php.log                                                                                                                                                                                                                          
You upload upgrade_lnmp_php.log to LNMP Forum for help.                                                                                                                                                                                                              
root@iZ2zehqhujir8j9c9m7p14Z:~/lnmp1.7#        

美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2020-3-26 07:58:34 | 显示全部楼层


只能用7.3.15   LNMP是1.7版本

操作系统: Debian 9.2 64位
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2020-3-26 08:17:08 | 显示全部楼层



系统环境        Linux4.9.0; nginx1.17.9; PHP7.3.15x64; mysqli5.5.58; curl; OpenSSL1.1.0f25May2017
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2020-3-26 09:54:02 | 显示全部楼层



没日志没法确定原因
debian 9的话是支持php 7.4的
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2020-3-26 10:05:29 | 显示全部楼层

日志麻烦帮忙看一下问题

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

 楼主| 发表于 2020-3-26 10:05:48 | 显示全部楼层

licess 发表于 2020-3-26 09:54
没日志没法确定原因
debian 9的话是支持php 7.4的

已经上传日志了,上传两个,帮忙看一下有没有问题,谢谢了
发表于 2020-3-26 17:03:14 | 显示全部楼层

haoyangmao8 发表于 2020-3-26 10:05
已经上传日志了,上传两个,帮忙看一下有没有问题,谢谢了

php 7.3.15是升级成功了的
php 7.4.4升级失败提示
  1. configure: error: Package requirements (freetype2) were not met:

  2. No package 'freetype2' found

  3. Consider adjusting the PKG_CONFIG_PATH environment variable if you
  4. installed software in a non-standard prefix.

  5. Alternatively, you may set the environment variables FREETYPE2_CFLAGS
  6. and FREETYPE2_LIBS to avoid the need to call pkg-config.
复制代码

检查一下 /usr/local/freetype/lib/ 下是否有 libfreetype. 之类的文件,没有的话估计可能被误删了
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2020-10-30 02:48 , Processed in 0.074948 second(s), 27 queries .

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表